//*!!Sensor,    S1,          lightSensor, sensorLightActive,      ,              !!*//
//******************************************************************************************//
// Le robot suit le cote gauche d'une ligne en fonction des informations donnees par	      //
// le capteur de luminosite. Si le niveau de luminosite lu est en deca du seuil, c'est 	    //
// que le robot est sur une surface noire (ligne). Alors, il tourne vers la gauche jusqu'	//
// trouver une surface plus claire,  ce moment il retourne sur la droite. En avancant	    //
// de gauche a droite le robot realise un mouvement " linaire " le long de la ligne noire.	//
//******************************************************************************************//
const tSensors photosensible = (tSensors) S1;   //nommer "photosensible" le capteur sur le port S1
int lineThreshold ;															// declarer variable "seuil" en nombre entier

task pingTask {																	// definir la tache sons "pingTask"
	ClearSounds () ;															// eteindre tout son
	while (true) {																// tant que la tempo de 1s n'est pas acheve
		PlaySound(soundBlip) ;											// faire le son "Blip"
		wait10Msec (100);														// tempo 100*10 ms = 1s
	}
}
void waitForEnterButton()												// fonction gestion des touches orange (validation)
{																								// et grise (devalidation)
	StartTask (pingTask) ;												// lancer la tache "pingTask"
	while (nNxtButtonPressed != kEnterButton) ;				// tant que le bouton orange est appuye
	while (nNxtButtonPressed != kNoButton) ;					// tant que le bouton orange est appuye
	StopTask (pingTask) ;													// fin pingTask
}
	{
	eraseDisplay() ;																		// effacer tout affichage de l'ecran LCD
	nxtDisplayCenteredTextLine(0, "CALIBRATION") ;
	nxtDisplayTextLine(1, "- white lvl :") ;
	nxtDisplayCenteredTextLine(7, "Press ENTER key") ;
	waitForEnterButton() ;
	int lvlWhite = SensorValue(S1) ;
	nxtDisplayTextLine(1, "- white lvl : %d", lvlWhite) ;

	nxtDisplayTextLine(2, "- black lvl :") ;
	waitForEnterButton() ;
	int lvlBlack = SensorValue(photosensible) ;
	nxtDisplayTextLine(2, "- black lvl : %d", lvlBlack) ;

	lineThreshold = (lvlWhite + lvlBlack) / 2 ;
}
task main()
{
   while(true)                           							//boucle infinie
   {
      if(SensorValue(photosensible) < lineThreshold)  // si valeur capteur lue < seuil faire
      {
        motor[motorA] = -75;            										//moteur A a -75% de puissance
	 			motor[motorC] = 0;              										//moteur C arrete
      }

      else                               							// sinon (valeur capteur lue >= seuil) faire
      {
        motor[motorA] = 0;              										//moteur A arrete
	 			motor[motorC] = -75;            										//moteur A a -75% de puissance
      }
   }
}
